:root {
  --fabric-image-size: 6em;
  --fabric-preview-image-size: 6em;
  --fabric-selection-image-size: 8em;
}

.section {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  overflow-y: auto;
}
.section.top {
  align-items: normal;
}
.section-inner {
  max-width: calc(90% - 1em);
  width: 120em;
  position: relative;
  margin: 0 auto;
  height: calc(100% - 1em);
  padding: 0.5em;
}
.section.hidden {
  height: 0;
  max-height: 0;
  min-height: 0;
  overflow: hidden;
  padding: 0;
}
.section-inner.hidden {
  display: none;
}

.quilt-type-button {
  height: 25em;
  background-size: cover;
  background-position: center;
}
.quilt-type-option {
  overflow: hidden;
  width: 25vmax;
}



input[type="radio"] {
  display: none;
}
input[type="radio"] + label:not(.quilt-type) {
  font-size: 1.5em;
  border-radius: 5em;
  background-color: var(--black);
  color: var(--snow);
  cursor: pointer;
  padding: 0.15em 1em;
  transition: background-color 0.25s;
  border: 1px solid black;
  display: inline-block;
}
input[type="radio"] + label.fabric-count-label,
input[type="radio"] + label.embroidery-label {
  padding: 0.15em 1em;
  font-size: 2em;
  background-color: var(--snow);
  color: var(--black);
}
input[type="radio"] + label.embroidery-label {
  padding: 0.15em 1em;
  font-size: 1.5em;
}

input[type="radio"]:checked + label {
  background-color: var(--salmon);
  color: var(--black);
}
input[type="radio"].sandybrown:checked + label {
  background-color: var(--sandy-brown);
}
input[type="radio"].lavender:checked + label {
  background-color: var(--lavender);
}
input[type="radio"].mango:checked + label {
  background-color: var(--mango);
}
input[type="radio"].mintgreen:checked + label {
  background-color: var(--mint-green);
}


input[type="radio"] + label.quilt-type {
  border: 0.25rem solid var(--snow);
  max-width: unset;
  width: unset;
  border-radius: 0;
  padding: 0;
  color: var(--black);
}
input[type="radio"]:checked + label.quilt-type {
  border-color: var(--mint-green);
}
input[type="radio"]:checked + label.quilt-type > div > p {
  background-color: var(--mint-green);
}

input[type="text"],
input[type="date"],
input[type="time"] {
  width: 12em;
  padding: 0.15em 1em;
  font-family: var(--font-dancing-script);
}
textarea {
  font-size: 2.5em;
  padding: 0.25em 0.5em;
  outline: none;
  height: 6em;
  margin: 0.5em;
  box-shadow: none;
  border: 0.1em solid var(--mango);
  border-radius: 1em;
}
textarea.embroidery-message-text {
  height: 3.5em;
  font-family: var(--font-dancing-script);
}

input[type="number"] {
  font-family: var(--font-dancing-script);
  -moz-appearance: textfield;
  width: 5em;
}
input[type="date"],
input[type="time"] {
  width: 12em;
}
select {
  width: 12em;
}

.fabric-square-preview-item {
  border: 0.25em solid var(--salmon);
  width: auto;
  height: auto;
  background-size: cover;
  cursor: pointer;
  transition: opacity 1s, filter 1s;
}
.fabric-square-preview-item.disabled {
  opacity: 0.2;
  filter: grayscale(100%);
}
.fabric-preview-container {
  padding: 1em;
  display: grid;
  grid-template-rows: var(--fabric-preview-image-size);
  grid-auto-rows: var(--fabric-preview-image-size);
  grid-template-columns: repeat(auto-fill, var(--fabric-preview-image-size));
  gap: 0.5em;
  max-height: calc( var(--fabric-preview-image-size) * 3 + 3em);
  max-width: 100%;
  overflow-y: auto;
}

.fabric-square-item,
.fabric-backing-item {
  border: 0.25em solid var(--black);
  width: calc(var(--fabric-image-size) - 0.5em);
  height: calc(var(--fabric-image-size) - 0.5em);
  background-size: cover;
  cursor: pointer;
}
.fabric-square-item.selected,
.fabric-backing-item.selected {
  border-color: var(--mint-green);
}
.fabric-square-item.disabled,
.fabric-backing-item.disabled {
  display: none;
}
.fabric-container {
  padding: 1em;
  display: grid;
  grid-template-rows: var(--fabric-image-size);
  grid-auto-rows: var(--fabric-image-size);
  grid-template-columns: repeat(auto-fill, var(--fabric-image-size));
  max-height: calc( var(--fabric-image-size) * 2 + 3em);
  gap: 1em;
  overflow-y: auto;
  max-width: 100%;
}
#quilt-type-pattern-preview {
  min-height: 30em;
}

.fabric-square-selection-item,
.fabric-backing-selection-item {
  border: 0.25em solid var(--black);
  width: auto;
  height: auto;
  background-size: cover;
  cursor: pointer;
}
#pattern-fabric-selection-preview {
  padding: 1em;
  grid-template-rows: var(--fabric-selection-image-size);
  grid-auto-rows: var(--fabric-selection-image-size);
  grid-template-columns: repeat(auto-fill, var(--fabric-selection-image-size));
  max-width: 100%;
}

.fabric-section {
  grid-template-columns: 1fr 3fr;
}
#embroidery-name-baby-container {
  grid-template-columns: repeat(auto-fit, minmax(40em, 1fr));
}
.fabric-count-options-container {
  width: 35em;
}

.fabric-containers-grid {
  grid-template-columns: repeat(auto-fill, minmax(30em, 1fr));
}

#embroidery-baby-container.hide {
  display: none;
}
#embroidery-options {
  grid-template-columns: repeat(3, 1fr);
}
#embroidery-options > div:first-child {
  grid-column: span 3;
}
#embroidery-yes-no {
  grid-template-columns: repeat(2, 1fr);
}

#quilt-type-pattern-info,
#quilt-type-scrap-info {
  grid-template-columns: max-content 1fr;
}


#gallery-image-img {
  max-width: 80vw;
  max-height: 80vh;
}
#close-gallery-image {
  font-size: 3em;
  text-align: center;
  position: absolute;
  right: 0px;
  top: 0px ;
  background-color: var(--salmon);
  width: 1.5em;
  height: 1.5em;
  cursor: pointer;
}


/* .background1::before,
.background2::before,
.background3::before,
.background4::before {
  content: " ";
  background-size: cover;
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: -1;
  will-change: transform;
} */
.background1 {
  background-image: url("./pictures/FabricBackground.jpg");
  background-size: cover;
}
.background2 {
  background-image: url("./pictures/FabricBackground2.jpg");
  background-size: cover;
}
.background3 {
  background-image: url("./pictures/FabricBackground3.jpg");
  background-size: cover;
}
.background4 {
  background-image: url("./pictures/FabricBackground4.jpg");
  background-size: cover;
}
.background5 {
  background-image: url("./pictures/FabricBackground5.jpg");
  background-size: cover;
}
.background6 {
  background-image: url("./pictures/FabricBackground6.jpg");
  background-size: cover;
}



@media screen and (orientation: portrait) {
  :root {
    --fabric-image-size: 8em;
    --fabric-preview-image-size: 8em;
    --fabric-selection-image-size: 10em;
  }
  .fabric-count-options-container {
    width: 43em;
  }
  .quilt-type-button {
    height: 40em;
  }
  .section.top {
    align-items: normal;
  }
  #quilt-type-pattern-info,
  #quilt-type-scrap-info {
    grid-template-columns: 2fr 3fr;
  }
  #embroidery-options {
    grid-template-columns: repeat(1, 1fr);
  }
  #embroidery-options > div:first-child {
    grid-column: span 1;
  }
  #embroidery-yes-no {
    grid-template-columns: repeat(1, 1fr);
  }
}